/*
diocesemapglobal.css
Lovell Johns Ltd.
2022
CSS file for Diocese Map ver. 1.0 - 2022

Version 1.0 - September 2022
*/

/*@import url('https://fonts.googleapis.com/css?family=Lora:300,400,500,600,700');
@import url('https://fonts.googleapis.com/css?family=Barlow Condensed:300,400,500,600,700');*/

@import url('https://fonts.googleapis.com/css2?family=DM+Sans:ital,opsz,wght@0,9..40,100..1000;1,9..40,100..1000&display=swap');


*{
	margin:0px;
	padding:0px;
}
body, html { height: 100%; }
body {
    font-size: 12px;
	line-height: 14px;
    font-family: "DM Sans", verdana, arial, sans-serif;
    color: #333333;
	background-color:#f4f4f4;
}
select{
	background: #fff;
	border: 1px solid #000;
}
img.clickable{
	cursor: pointer;
}
img{
	border: none;
}
a{
	text-decoration:underline;
	color:#333333;
}
a:hover {
	text-decoration:none; 
	color:#999999;	
}
.errorText{
	color: #FF0000;
	font-style: oblique;
}
.emph{
	font-style:oblique;
}
.emph2{
	font-weight:bold;
}
button{
	color:#ffffff;
	background:#09476d;
	font-size:14px;
	text-transform: uppercase;
	padding:5px;
	border:none;
	cursor:pointer;
	border-radius: 2px;
}
button:hover{
	opacity: 0.6;
}	

/*----------Page layout*/
.shell{ 
	width: 100%; 
}
#mapcontainer{
	position:relative;
	left:0px;
	top:0px;
}
#maplayer{
	height:600px;
	width:100%;	
	background: #FFFFFF;
	cursor: pointer;
}
#pageMask{
	position:absolute; 
	top:0; 
	left:0; 
	min-height:100%; 
	width:100%; 
	background:#CCCCCC; 
	opacity:0.7;
	filter:alpha(opacity=70); 
	z-index:1000;
	visibility:hidden;
}
.slide-out-div{
	z-index:1000;
	background-color:#fcfcfc;
	width:340px;
	min-height:500px;	
}	
.handle{
	z-index:1000;
}
/*----------Over map content*/
#scalediv { 			
	position: absolute;	
	bottom: 5px;
	left: 3px;
	z-index: 900;
	padding:5px;
	font-size: 9px;
	color: #333333;
	width: 120px;
}  	
#copyrightInfo	{
	background: url(../images/scalebarback.png);
	background-repeat: repeat;
	position:absolute;
	z-index:900;
	right:5px;
	bottom:5px;
	padding:3px;
	font-size:10px;
	color:#000000;
	box-shadow: 0px 1px 3px;
	border: 1px solid #999999;
}
#mapscalediv{	
	position: absolute;
	bottom: 55px;
	left: 5px;
	z-index: 900;	
	width: 120px;
	font-size: 12px;
	color: #333333;
}
#txtMapScale{
	width:60px;
	border:1px #ffffff solid;
	font-size: 12px;
	padding:2px;
}
#txtMapScale:focus {
	border-color: #cccccc;
}
#openingMessage{
	position: fixed;
	top: 370px;
	left: 50%;
	width:180px;
	z-index:998;
	text-align:center;
	padding:10px;
	color:#333333;
	display:block;
	margin-left: -100px;
}
.planvu-custom-mouse-position{
	top: 0px;
	right: 0px;
	position: relative;
	font-style: oblique;
}
#northarrow{
	position:absolute; 
	bottom: 5px;
	left: 170px;
	padding:0px;
	z-index:900; 
	display:none; 
}
#outputCoords{
	position:absolute; 
	bottom: 55px;
	left: 140px;
	padding:0px;
	z-index:900; 
	display:none; 
}
#bottomLeftPanel{
	position:absolute; 
	bottom: 45px;
	left: 5px;
	width:160px; 
	z-index:900; 
	display:block; 
	background: none;
	background-repeat: repeat;
	padding:5px; 
	font-size:9px;
	box-shadow: none;
	border: none;
}
#bottomLeftCont{
	height:80px;	
}
.loadingImage{
	margin-top:20px;
}
#gipNotice{
	/*background: url(../images/scalebarback.png);        
	background-repeat: repeat;*/
	background: rgba(255,255,255,0.7);
	position:absolute; 
	bottom: 15px;
	right: 10px;
	z-index:900; 
	display:block; 
	padding:3px; 
	box-shadow: none;
	border: none;
}
#gipLogo{
	width:120px;
	display:inline-block;
	/*padding-left: 165px;
	text-align:right;*/
}
#gipText{
	display:inline-block;
	font-size:10px;
	color:#000000;
	text-align:right;
	background: rgba(255,255,255,0.7);
	padding:5px;
	margin-top: 20px;
}	
#layerToggle{
	background: rgba(255,255,255,0.9);
	padding:10px;
	position: absolute;
	top: 60px;
	right: 60px;
	z-index: 999;	
}


/*----------Search Content*/
#searchInputCont{
	width:240px;
	float:left;
}
#searchInputOuter{
	width:300px;
	z-index:99;
	position:absolute;
	right:40px;
	top:10px;
	display: block;
}
#searchInput{
	padding-left:10px;
	padding-right:0px;
	padding-top:0px;
	padding-bottom:0px;
	width:230px;
	height:37px;
	border: 1px #999999 solid;	
	font-size: 13px;
	text-overflow: ellipsis;
}
#searchBut{
	width:17px;
	height:17px;
	float:left;
	background:#156B4C;
	padding:10px;
	border: solid 1px #156B4C;
}
.visuallyhidden{		/* to hide unecessary form label elements*/
	display:none;
}

/*----------Map popups*/
.popupHeader{
	font-size: 16px;     
	color:#000000;
	font-family: "DM Sans", verdana, arial;
	padding-bottom: 5px;
	font-weight:bold;
}
.popupText{
	font-size: 12px;	 
	color:#000000;
	font-family: "DM Sans", verdana, arial;
}
.boldtxt{
	font-weight:bold;	
}	
a{
	text-decoration:underline;
	color: #000000;   
}

 /* The switch - the box around the slider */
.switch {
  position: relative;
  display: inline-block;
  width: 38px;
  height: 18px;
}
/* Hide default HTML checkbox */
.switch input {
  opacity: 0;
  width: 0;
  height: 0;
}
/* The slider */
.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #ccc;
  -webkit-transition: .4s;
  transition: .4s;
}
.slider:before {
  position: absolute;
  content: "";
  height: 10px;
  width: 10px;
  left: 4px;
  bottom: 4px;
  background-color: white;
  -webkit-transition: .4s;
  transition: .4s;
}
input:checked + .slider {
  background-color: #156B4C;
}
input:focus + .slider {
  box-shadow: 0 0 1px #156B4C;
}
input:checked + .slider:before {
  -webkit-transform: translateX(20px);
  -ms-transform: translateX(20px);
  transform: translateX(20px);
}

/* Google map style overrides  */
/*
.gm-style-iw-c{
	background-color: #B1BDA3 !important;     
}
.gm-style .gm-style-iw-c {
	position: absolute;
	box-sizing: border-box;
	overflow: hidden;
	top: 0;
	left: 0;
	transform: translate3d(-50%,-100%,0);
	background-color: #B1BDA3;					
	border-radius: 0;
	padding: 15px 12px 12px 12px;
	box-shadow: 0 2px 7px 1px rgba(0,0,0,.3);
}
.gm-style .gm-style-iw-tc::after {
	background: #B1BDA3;						
	clip-path: polygon(0% 0%,50% 100%,100% 0%);
	content: '';
	height: 12px;
	left: 0;
	position: absolute;
	top: -1px;
	width: 25px;
}
.gm-ui-hover-effect > span {
	background-color: #ffffff;
}
.gm-style .gm-style-iw-d {
	overflow: auto !important;
	padding: 0px 8px 8px 0px;
}
*/

/*---------------------MOBILE STYLES*/

/* mobile*/
@media only screen and ( max-width: 768px) { 
	body { width: auto; }
	.shell { min-width: 320px; }
	.container { background:#FFFFFF; min-width: 320px;  } 
	#bottomLeftPanel{
		position:absolute; 
		bottom: 45px;
		left: 5px;
		width:160px; 
		z-index:900; 
		display:block; 
		background: none;
		background-repeat: repeat;
		padding:5px; 
		font-size:9px;
		box-shadow: none;
		border: none;
	}
	#outputCoords{
		display:none; 
	}
	#mapscalediv{	
		display:none; 
	}
	#bottomLeftCont{
		height:45px;		
	}
	#copyrightInfo{
		left:5px;
		bottom:5px;
	}
	#northarrow{
		display:none;
	}	
	#openingMessage{
		position: absolute;
		top: 100px;
		width:180px;
	}
	#searchInput{
		width: 210px;
		font-size:14px;
	}
	#searchInput:focus {
		border-color: #cccccc;
	}
	#searchInputOuter{
		width:300px;
		right:0px;
	}
	#searchInputCont{
		width:205px;
	}	
	#maplayer{
		/*overflow-y: scroll;*/
	}
	#gipLogo{
		display:none;
	}
	#gipText{
		display:block;
		text-align:right;
		margin-top: 0;
	}	
	#gipNotice{
		bottom: 14px;
		/*background: url(../images/scalebarback.png);
		background-repeat: repeat;*/
		right: 1px;
		left: auto;
	}
}

/*End of File */